<!DOCTYPE html>

<html>
<head>
    <title>Q2</title>
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
</head>
<body>

    <select id="dropdown" onchange="update()">
        <option selected="selected">Choose the Cuisine here. :)</option> 
    </select>

    <table id="table" border=1px>
        <tr>
            <th>
                ID
            </th>
            <th>
                Restaurants
            </th>
        </tr>


    </table>



    <script>
        var dat = (function () {
            var json = null;
            $.ajax({
            async: false,
            global: false,
            url: "./restaurants.json",
            dataType: "json",
            success: function (data) {
                json = data;
            }
            });
            return json;
        })(); 

        var uniqueCuisine=[] ; 
        function exists(thing){
            for(i of uniqueCuisine){
                if(thing.cuisine == i) return 1;
            }

            return 0;
        }
        
        for(let i of dat) {
            if(exists(i)) continue ;
            else uniqueCuisine.push(i.cuisine); 
        }

        for(i of uniqueCuisine) {
            console.log("Reach")
            var newline = "<option>" + i + "</option>"
            document.getElementById("dropdown").innerHTML += newline;
        }


        function update() {
            for(i of dat){
                if(i.cuisine == $("#dropdown option:selected").text()) {
                    document.getElementById("table").innerHTML += "<tr><td>" + i.id + "</td><td>" + i.name + "</td></tr>"  ;
                }
            }
        }
    </script>
</body>
</html>